/* SECTION */
.work-grid {
    position: relative;
    padding: 6rem 0;
    color: #100f0f;
}

/* BACKGROUND + OVERLAY */
.work-bg {
    position: absolute;
    inset: 0;
    background-color: rgb(239, 239, 239);
    z-index: -2;
}



/* TITLES */
.work-title {
    font-size: clamp(2rem, 4vw, 2.8rem);
    margin-bottom: 0.5rem;
    font-weight: 700;
}

.work-subtitle {
    opacity: 0.85;
    margin-bottom: 3rem;
    font-size: 1.1rem;
    
}

/* GRID 2 COLUMNAS */
.work-grid-2col {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
    color: aliceblue;
}

/* CARD */
.work-card {
    position: relative;
    overflow: hidden;
    border-radius: 0 0 18px 0; /* SOLO UN BORDE REDONDEADO */
}


.work-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

/* DEGRADADO INFERIOR */
.work-card::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 45%;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.894), transparent);
}

/* TEXTO INFERIOR IZQUIERDA */
.work-info {
    position: absolute;
    left: 1.2rem;
    bottom: 1.2rem;
    z-index: 2;
    width: calc(100% - 1.2rem);
}

.work-info h3 {
    margin: 0;
    font-size: 1.3rem;
    font-weight: 600;
    
}

.work-info p {
    margin-top: 0.3rem;
    font-size: 0.9rem;
    opacity: 0.85;
}



/* RESPONSIVE */
@media (max-width: 800px) {
    .work-grid-2col {
        grid-template-columns: 1fr;
    }
    .work-grid {

        padding: 1.5rem 0;

    }
    
}
